elgamal.h File Reference

Classes and functions for ElGamal key agreement and encryption schemes. More...

Go to the source code of this file.

## Classes

class | ElGamalBase
| ElGamal key agreement and encryption schemes base class. More...
class | ElGamalObjectImpl< BASE, SCHEME_OPTIONS, KEY >
| ElGamal key agreement and encryption schemes default implementation. More...
struct | DL_PublicKey_ElGamal< BASE >
| ElGamal Public Key adapter. More...
struct | DL_PrivateKey_ElGamal< BASE >
| ElGamal Private Key adapter. More...
struct | ElGamalKeys
| ElGamal key agreement and encryption schemes keys. More...
struct | ElGamal
| ElGamal encryption scheme with non-standard padding. More...

## Typedefs

typedef ElGamal::Encryptor | ElGamalEncryptor
typedef ElGamal::Decryptor | ElGamalDecryptor

## Detailed Description

Classes and functions for ElGamal key agreement and encryption schemes.

Definition in file elgamal.h.

## Typedef Documentation

## ElGamalEncryptor

typedef ElGamal::Encryptor ElGamalEncryptor

Definition at line 303 of file elgamal.h.

## ElGamalDecryptor

typedef ElGamal::Decryptor ElGamalDecryptor

Definition at line 304 of file elgamal.h.